Create a new results template
curl --request POST \
--url {protocol}://{host}:{port}/pl/results/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Technical Interview Results",
"sage_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"evaluator_role": "You are an expert technical interviewer...",
"recommendation": "Based on the scores..."
}
'import requests
url = "{protocol}://{host}:{port}/pl/results/"
payload = {
"name": "Technical Interview Results",
"sage_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"evaluator_role": "You are an expert technical interviewer...",
"recommendation": "Based on the scores..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Technical Interview Results',
sage_id: 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
evaluator_role: 'You are an expert technical interviewer...',
recommendation: 'Based on the scores...'
})
};
fetch('{protocol}://{host}:{port}/pl/results/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/results/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Technical Interview Results',
'sage_id' => 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
'evaluator_role' => 'You are an expert technical interviewer...',
'recommendation' => 'Based on the scores...'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/results/"
payload := strings.NewReader("{\n \"name\": \"Technical Interview Results\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"evaluator_role\": \"You are an expert technical interviewer...\",\n \"recommendation\": \"Based on the scores...\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("{protocol}://{host}:{port}/pl/results/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Technical Interview Results\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"evaluator_role\": \"You are an expert technical interviewer...\",\n \"recommendation\": \"Based on the scores...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/results/")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Technical Interview Results\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"evaluator_role\": \"You are an expert technical interviewer...\",\n \"recommendation\": \"Based on the scores...\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true,
"version": 123,
"evaluator_role": "<string>",
"recommendation": "<string>",
"output_format": "<string>",
"sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"intro": "<string>",
"directions": "<string>"
}
Results
Create a new results template
Creates a new results record in both results and results_history tables.
POST
/
pl
/
results
/
Create a new results template
curl --request POST \
--url {protocol}://{host}:{port}/pl/results/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Technical Interview Results",
"sage_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"evaluator_role": "You are an expert technical interviewer...",
"recommendation": "Based on the scores..."
}
'import requests
url = "{protocol}://{host}:{port}/pl/results/"
payload = {
"name": "Technical Interview Results",
"sage_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"evaluator_role": "You are an expert technical interviewer...",
"recommendation": "Based on the scores..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Technical Interview Results',
sage_id: 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
evaluator_role: 'You are an expert technical interviewer...',
recommendation: 'Based on the scores...'
})
};
fetch('{protocol}://{host}:{port}/pl/results/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/results/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Technical Interview Results',
'sage_id' => 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e',
'evaluator_role' => 'You are an expert technical interviewer...',
'recommendation' => 'Based on the scores...'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/results/"
payload := strings.NewReader("{\n \"name\": \"Technical Interview Results\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"evaluator_role\": \"You are an expert technical interviewer...\",\n \"recommendation\": \"Based on the scores...\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("{protocol}://{host}:{port}/pl/results/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Technical Interview Results\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"evaluator_role\": \"You are an expert technical interviewer...\",\n \"recommendation\": \"Based on the scores...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/results/")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Technical Interview Results\",\n \"sage_id\": \"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e\",\n \"evaluator_role\": \"You are an expert technical interviewer...\",\n \"recommendation\": \"Based on the scores...\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true,
"version": 123,
"evaluator_role": "<string>",
"recommendation": "<string>",
"output_format": "<string>",
"sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"intro": "<string>",
"directions": "<string>"
}
Authorizations
User JWT token passed in Authorization header
Headers
Required JWT permission: council_screen (informational only -- enforced server-side)
Body
application/json